Bug 1118836 - [abrt] system-config-printer: system-config-printer.py:212:__init__:GError: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.opensuse.cupspkhelper.mechanism.all-edit is not registered
Summary: [abrt] system-config-printer: system-config-printer.py:212:__init__:GError: G...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed9b40958d4f4297e37d9e22a68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 16:10 UTC by Benjamin Ariel Nava Martinez
Modified: 2014-07-21 05:22 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 05:22:05 UTC


Attachments (Terms of Use)
File: backtrace (815 bytes, text/plain)
2014-07-11 16:10 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: environ (1.44 KB, text/plain)
2014-07-11 16:10 UTC, Benjamin Ariel Nava Martinez
no flags Details

Description Benjamin Ariel Nava Martinez 2014-07-11 16:10:01 UTC
Description of problem:
I just opened it

Version-Release number of selected component:
system-config-printer-1.4.5-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
system-config-printer.py:212:__init__:GError: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.opensuse.cupspkhelper.mechanism.all-edit is not registered

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2187, in <module>
    main(show_jobs)
  File "/usr/share/system-config-printer/system-config-printer.py", line 2161, in main
    mainwindow = GUI()
  File "/usr/share/system-config-printer/system-config-printer.py", line 212, in __init__
    None, None)
GError: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.opensuse.cupspkhelper.mechanism.all-edit is not registered

Local variables in innermost frame:
edit_action: 'org.opensuse.cupspkhelper.mechanism.all-edit'
self: <GUI object at 0x14209b0 (uninitialized at 0x0)>

Comment 1 Benjamin Ariel Nava Martinez 2014-07-11 16:10:03 UTC
Created attachment 917376 [details]
File: backtrace

Comment 2 Benjamin Ariel Nava Martinez 2014-07-11 16:10:04 UTC
Created attachment 917377 [details]
File: environ

Comment 3 Benjamin Ariel Nava Martinez 2014-07-11 16:10:53 UTC
This is the output when run from a console:

** (system-config-printer.py:17673): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (system-config-printer.py:17673): WARNING **: Can't load fallback CSS resource: Failed to import: El recurso en «/org/gnome/adwaita/gtk-fallback.css» no existe

** (system-config-printer.py:17673): WARNING **: Can't load fallback CSS resource: Failed to import: El recurso en «/org/gnome/adwaita/gtk-fallback.css» no existe

(system-config-printer.py:17673): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1443:2: Missing name of pseudo-class
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2187, in <module>
    main(show_jobs)
  File "/usr/share/system-config-printer/system-config-printer.py", line 2161, in main
    mainwindow = GUI()
  File "/usr/share/system-config-printer/system-config-printer.py", line 212, in __init__
    None, None)
gi._glib.GError: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.opensuse.cupspkhelper.mechanism.all-edit is not registered

Comment 5 Fedora Update System 2014-07-11 16:57:02 UTC
system-config-printer-1.4.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.5-2.fc20

Comment 6 Fedora Update System 2014-07-12 02:21:35 UTC
Package system-config-printer-1.4.5-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8270/system-config-printer-1.4.5-2.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-07-16 01:59:56 UTC
Package system-config-printer-1.4.5-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8270/system-config-printer-1.4.5-3.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-21 05:22:05 UTC
system-config-printer-1.4.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.